
Foreman - Bug #12280

Field helper does not display label

10/23/2015 09:17 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2863

  

Description

When you try to edit role you can see that there's just name of role displayed without label. The issue was introduced in #11466 - 

https://github.com/theforeman/foreman/pull/2633/files#diff-d07b3cdd6c00768e06bfed349d3c808fR212 we need to capture the output

so it's rendered later when we use label helper.

Related issues:

Related to Foreman - Bug #11466: fullscreen buttons should be have consistent... Closed 08/24/2015

Associated revisions

Revision f72212fc - 10/29/2015 08:56 AM - Marek Hulán

Fixes #12280 - fix label for field helper

Revision 35dfa55c - 11/16/2015 09:30 AM - Marek Hulán

Fixes #12280 - fix label for field helper

(cherry picked from commit f72212fcfb4312a515502cc47268b702d54dfeba)

History

#1 - 10/23/2015 09:17 AM - Marek Hulán

- Related to Bug #11466: fullscreen buttons should be have consistent layout throughout the application added

#2 - 10/23/2015 09:18 AM - Marek Hulán

- Description updated

#3 - 10/23/2015 09:19 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2863 added

- Pull request deleted ()

#4 - 10/23/2015 09:21 AM - Dominic Cleal

The linked issue's due in 1.10.0, can we set this to .0 as well rather than .1, since it's a regression?

#5 - 10/23/2015 09:23 AM - Marek Hulán

- translation missing: en.field_release changed from 104 to 63

Ah sure, sorry, I didn't realize we can still merge fixes to 1.10

#6 - 10/23/2015 09:24 AM - Dominic Cleal

Yeah, usually at this point any regression fixes will keep going into .0 to stabilise the RCs, and any general/existing bug fixes can be deferred until .1

(so as not to destabilise RCs further).
#7 - 10/29/2015 09:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f72212fcfb4312a515502cc47268b702d54dfeba.
